Remove ubuntu-ui-toolkit from the archive

Bug #1711204 reported by Simon Quigley on 2017-08-16
22
This bug affects 1 person
Affects Status Importance Assigned to Milestone
checkbox (Ubuntu)
Undecided
Unassigned
libertine (Ubuntu)
Undecided
Steve Langasek
notes-app (Ubuntu)
Undecided
Unassigned
ubuntu-keyboard (Ubuntu)
Undecided
Unassigned
ubuntu-push-qml (Ubuntu)
Undecided
Unassigned
ubuntu-settings-components (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings-online-accounts (Ubuntu)
Undecided
Unassigned
ubuntu-ui-extras (Ubuntu)
Undecided
Unassigned
ubuntu-ui-toolkit (Ubuntu)
Undecided
Unassigned
ubuntu-ui-toolkit-gles (Ubuntu)
Undecided
Unassigned
unity-webapps-qml (Ubuntu)
Undecided
Unassigned
url-dispatcher (Ubuntu)
Undecided
Unassigned

Bug Description

The Qt transition is currently blocked by ubuntu-ui-toolkit because the version of ubuntu-ui-toolkit in the archive uses Qt 5.7.1 private headers that have been since deprecated. ubuntu-ui-toolkit should be removed from the archive (unless anyone still needs it, please do make your case) and all of it's reverse dependencies (marked as affected on this bug report) should either be ported to use native Qt libraries or removed from the archive. This is blocking the Qt 5.9 transition, so it should be done promptly.

Full list of reverse dependencies:

* checkbox-converged (for qml-module-ubuntu-components)
* libertine-qt-common (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* notes-app (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* notes-app-autopilot (for ubuntu-ui-toolkit-autopilot)
* qml-module-ubuntu-components-gles [amd64 i386] (for qml-module-ubuntu-components-labs)
* qml-module-ubuntu-components-gles [amd64 i386] (for ubuntu-ui-toolkit-theme)
* qml-module-ubuntu-components-labs-gles [amd64 i386] (for ubuntu-ui-toolkit-theme)
* qml-module-ubuntu-settings-components (for qml-module-ubuntu-components)
* qml-module-ubuntu-ui-extras-browser [amd64 arm64 armhf i386] (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* qml-module-ubuntu-web [amd64 arm64 armhf i386] (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* qtdeclarative5-ubuntu-push-plugin (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* qtdeclarative5-ubuntu-ui-extras0.2 (for qml-module-ubuntu-components)
* ubuntu-filemanager-app (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* ubuntu-filemanager-app-autopilot (for ubuntu-ui-toolkit-autopilot)
* ubuntu-keyboard-autopilot (for ubuntu-ui-toolkit-autopilot)
* ubuntu-keyboard-data (for qml-module-ubuntu-components)
* ubuntu-printing-app (for qml-module-ubuntu-components)
* ubuntu-system-settings (for qml-module-ubuntu-components)
* ubuntu-system-settings-autopilot (for ubuntu-ui-toolkit-autopilot)
* ubuntu-system-settings-online-accounts (for qml-module-ubuntu-components)
* unity-webapps-qml [amd64 arm64 armhf i386] (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* url-dispatcher (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* webapp-container [amd64 arm64 armhf i386] (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* webapp-container-autopilot (for ubuntu-ui-toolkit-autopilot)
* webbrowser-app [amd64 arm64 armhf i386] (for qtdeclarative5-ubuntu-ui-toolkit-plugin)
* webbrowser-app-autopilot (for ubuntu-ui-toolkit-autopilot)

Packages without architectures listed are reverse-dependencies in: amd64, arm64, armhf, i386, ppc64el, s390x

Related branches

Simon Quigley (tsimonq2) on 2017-08-16
description: updated
Changed in url-dispatcher (Ubuntu):
status: Confirmed → New
description: updated
Christopher Townsend (townsend) wrote :

Libertine can be removed from the archive.

Olivier Tilloy (osomon) wrote :

Removal of webbrowser-app (and oxide-qt) is already tracked by bug #1688395.

Steve Langasek (vorlon) wrote :

checkbox should not be on a list of to-be-removed packages as a result of a single binary package's dependency. Please follow up on this separately.

Changed in checkbox (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) wrote :

I don't intend to act on these removal requests on behalf of the archive admins without confirmation from the Canonical Desktop Team that this is the correct course of action.

Sebastien Bacher (seb128) wrote :

The components listed on that bug are indeed unmaintained and it doesn't make sense to keep them in the archive. +1 from the desktop team to remove them but somebody should check the rdepends first, looking at the list url-dispatcher could be problematic since it provides a library which is used by e.g the unity indicators which we don't plan to remove since unity7 is going to remain available in universe

Dmitry Shachnev (mitya57) wrote :

Looking at url-dispatcher, the only use of ubuntu-ui-toolkit is in this small QML file: http://bazaar.launchpad.net/~indicator-applet-developers/url-dispatcher/trunk.17.04/view/head:/gui/url-dispatcher-gui.qml

Does Unity 7 need this GUI? If no, let’s drop it; if yes, I can port it to Qt Quick Controls or rewrite in C++.

On 16 August 2017 at 22:46, Sebastien Bacher <email address hidden> wrote:
> The components listed on that bug are indeed unmaintained and it doesn't
> make sense to keep them in the archive. +1 from the desktop team to
> remove them but somebody should check the rdepends first, looking at the
> list url-dispatcher could be problematic since it provides a library
> which is used by e.g the unity indicators which we don't plan to remove
> since unity7 is going to remain available in universe
>

Or the indicators in question can drop the unity8 portion of their
profiles that use url-dispatcher.
My understanding was that url-dispatcher / ubuntu-settings apps
codepaths are only used for the touch/unity8 profile, and not the
unity7 profile.

--
Regards,

Dimitri.

Dmitry Shachnev (mitya57) wrote :

@Dimitri: url-dispatcher has quite a lot reverse-dependencies itself:

* address-book-service (for liburl-dispatcher1)
* indicator-bluetooth (for liburl-dispatcher1)
* indicator-datetime (for liburl-dispatcher1)
* indicator-keyboard (for liburl-dispatcher1)
* indicator-network (for liburl-dispatcher1)
* indicator-power (for liburl-dispatcher1)
* indicator-session (for liburl-dispatcher1)
* indicator-sound (for liburl-dispatcher1)
* indicator-transfer-buteo (for liburl-dispatcher1)
* libertine-scope (for liburl-dispatcher1)
* qtmir-android [amd64 arm64 armhf i386] (for liburl-dispatcher1)
* qtmir-desktop [amd64 arm64 armhf i386] (for liburl-dispatcher1)
* ubuntu-application-api3-desktop [amd64 arm64 armhf i386] (for liburl-dispatcher1)
* ubuntu-application-api3-touch [amd64 arm64 armhf i386] (for liburl-dispatcher1)
* ubuntu-printing-app (for liburl-dispatcher1)
* ubuntu-ui-toolkit-autopilot [amd64 arm64 armhf i386 ppc64el] (for url-dispatcher-tools)
* unity-greeter-session-broadcast (for url-dispatcher-tools)

I am not sure what to do with i.e. qtmir-* — I guess we don’t want these to be removed? Maybe fixing the QML file will be easier?

Steve Langasek (vorlon) wrote :

$ reverse-depends src:ubuntu-system-settings-online-accounts
Reverse-Recommends
==================
* ubuntu-system-settings (for ubuntu-system-settings-online-accounts)

Reverse-Depends
===============
* account-plugin-facebook (for ubuntu-system-settings-online-accounts)
* account-plugin-flickr (for ubuntu-system-settings-online-accounts)
* account-plugin-google (for ubuntu-system-settings-online-accounts)
* account-plugin-mcloud (for ubuntu-system-settings-online-accounts)
* account-plugin-microsoft (for ubuntu-system-settings-online-accounts)
* account-plugin-nextcloud (for ubuntu-system-settings-online-accounts)
* account-plugin-owncloud (for ubuntu-system-settings-online-accounts)
* account-plugin-twitter (for ubuntu-system-settings-online-accounts)
* account-plugin-vk (for ubuntu-system-settings-online-accounts)
* libonline-accounts-daemon1 (for libonline-accounts-client1)

Packages without architectures listed are reverse-dependencies in: amd64, arm64, armhf, i386, ppc64el, s390x
$

These are seeded on the desktop image. What should be done with them?

Changed in libertine (Ubuntu):
assignee: nobody → Steve Langasek (vorlon)
status: New → In Progress
status: In Progress → Fix Committed
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: New → Incomplete
Dmitry Shachnev (mitya57) wrote :

@Steve: all these account-plugin-* packages come from src:account-plugins. It was proposed for removal more than two months ago, see bug 1695928.

Dimitri John Ledkov (xnox) wrote :

This conflicts with the desire to ship a functional Unity7 experience in 17.10.

Changed in ubuntu-system-settings-online-accounts (Ubuntu):
assignee: nobody → Ubuntu Desktop (ubuntu-desktop)
Dmitry Shachnev (mitya57) wrote :

> This conflicts with the desire to ship a functional Unity7 experience in 17.10.

Sebastien confirmed on IRC that the desktop team is OK with dropping online accounts, it is an “accepted regression”. See https://irclogs.ubuntu.com/2017/08/21/%23ubuntu-devel.html#t12:15

Sebastien Bacher (seb128) wrote :

right, we try to keep unity7 working as best as possible but we can't hold on other work or keep unmaintained components in the archive because of it so it's accepted that some features are going to be missing in the new version

Simon Quigley (tsimonq2) on 2017-08-21
Changed in ubuntu-system-settings-online-accounts (Ubuntu):
assignee: Ubuntu Desktop (ubuntu-desktop) → nobody
status: Incomplete → Confirmed
Steve Langasek (vorlon) wrote :
Download full text (4.3 KiB)

Removing packages from artful:
 ubuntu-system-settings-online-accounts 0.7+17.04.20170308.2-0ubuntu3 in artful
  libonline-accounts-client-dev 0.7+17.04.20170308.2-0ubuntu3 in artful amd64
  libonline-accounts-client-dev 0.7+17.04.20170308.2-0ubuntu3 in artful arm64
  libonline-accounts-client-dev 0.7+17.04.20170308.2-0ubuntu3 in artful armhf
  libonline-accounts-client-dev 0.7+17.04.20170308.2-0ubuntu3 in artful i386
  libonline-accounts-client-dev 0.7+17.04.20170308.2-0ubuntu3 in artful ppc64el
  libonline-accounts-client-dev 0.7+17.04.20170308.2-0ubuntu3 in artful s390x
  libonline-accounts-client1 0.7+17.04.20170308.2-0ubuntu3 in artful amd64
  libonline-accounts-client1 0.7+17.04.20170308.2-0ubuntu3 in artful arm64
  libonline-accounts-client1 0.7+17.04.20170308.2-0ubuntu3 in artful armhf
  libonline-accounts-client1 0.7+17.04.20170308.2-0ubuntu3 in artful i386
  libonline-accounts-client1 0.7+17.04.20170308.2-0ubuntu3 in artful ppc64el
  libonline-accounts-client1 0.7+17.04.20170308.2-0ubuntu3 in artful s390x
  libonline-accounts-plugin-dev 0.7+17.04.20170308.2-0ubuntu3 in artful amd64
  libonline-accounts-plugin-dev 0.7+17.04.20170308.2-0ubuntu3 in artful arm64
  libonline-accounts-plugin-dev 0.7+17.04.20170308.2-0ubuntu3 in artful armhf
  libonline-accounts-plugin-dev 0.7+17.04.20170308.2-0ubuntu3 in artful i386
  libonline-accounts-plugin-dev 0.7+17.04.20170308.2-0ubuntu3 in artful ppc64el
  libonline-accounts-plugin-dev 0.7+17.04.20170308.2-0ubuntu3 in artful s390x
  qml-module-ubuntu-onlineaccounts-client 0.7+17.04.20170308.2-0ubuntu3 in artful amd64
  qml-module-ubuntu-onlineaccounts-client 0.7+17.04.20170308.2-0ubuntu3 in artful arm64
  qml-module-ubuntu-onlineaccounts-client 0.7+17.04.20170308.2-0ubuntu3 in artful armhf
  qml-module-ubuntu-onlineaccounts-client 0.7+17.04.20170308.2-0ubuntu3 in artful i386
  qml-module-ubuntu-onlineaccounts-client 0.7+17.04.20170308.2-0ubuntu3 in artful ppc64el
  qml-module-ubuntu-onlineaccounts-client 0.7+17.04.20170308.2-0ubuntu3 in artful s390x
  qml-module-ubuntu-onlineaccounts-client-doc 0.7+17.04.20170308.2-0ubuntu3 in artful amd64
  qml-module-ubuntu-onlineaccounts-client-doc 0.7+17.04.20170308.2-0ubuntu3 in artful arm64
  qml-module-ubuntu-onlineaccounts-client-doc 0.7+17.04.20170308.2-0ubuntu3 in artful armhf
  qml-module-ubuntu-onlineaccounts-client-doc 0.7+17.04.20170308.2-0ubuntu3 in artful i386
  qml-module-ubuntu-onlineaccounts-client-doc 0.7+17.04.20170308.2-0ubuntu3 in artful ppc64el
  qml-module-ubuntu-onlineaccounts-client-doc 0.7+17.04.20170308.2-0ubuntu3 in artful s390x
  qtdeclarative5-online-accounts-client0.1 0.7+17.04.20170308.2-0ubuntu3 in artful amd64
  qtdeclarative5-online-accounts-client0.1 0.7+17.04.20170308.2-0ubuntu3 in artful arm64
  qtdeclarative5-online-accounts-client0.1 0.7+17.04.20170308.2-0ubuntu3 in artful armhf
  qtdeclarative5-online-accounts-client0.1 0.7+17.04.20170308.2-0ubuntu3 in artful i386
  qtdeclarative5-online-accounts-client0.1 0.7+17.04.20170308.2-0ubuntu3 in artful ppc64el
  qtdeclarative5-online-accounts-client0.1 0.7+17.04.20170308.2-0ubuntu3 in artful s390x
  ubuntu-system-settings-online-accounts 0.7+...

Read more...

Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

I looked again and realized that checkbox is now deprecated in favor of checkbox-ng, and only has a qml-ubuntu-based frontend. So this does need removing also.

Changed in checkbox (Ubuntu):
status: Invalid → In Progress
Steve Langasek (vorlon) wrote :

Related removal tasks on LP: #1712874

no longer affects: ubuntu-filemanager-app (Ubuntu)
no longer affects: ubuntu-printing-app (Ubuntu)
no longer affects: webbrowser-app (Ubuntu)
Steve Langasek (vorlon) wrote :

indicator-datetime depends libubuntu-app-launch4 (ubuntu-app-launch) depends libertine depends qtdeclarative5-ubuntu-ui-toolkit-plugin (ubuntu-ui-toolkit)

Dimitri John Ledkov (xnox) wrote :

WIll upload url-dispatcher without ubuntu-ui-toolkit dep.

Changed in url-dispatcher (Ubuntu):
status: New → Invalid
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 checkbox 1.2.4-0ubuntu3 in artful
  checkbox 1.2.4-0ubuntu3 in artful amd64
  checkbox 1.2.4-0ubuntu3 in artful arm64
  checkbox 1.2.4-0ubuntu3 in artful armhf
  checkbox 1.2.4-0ubuntu3 in artful i386
  checkbox 1.2.4-0ubuntu3 in artful ppc64el
  checkbox 1.2.4-0ubuntu3 in artful s390x
  checkbox-cli 1.2.4-0ubuntu3 in artful amd64
  checkbox-cli 1.2.4-0ubuntu3 in artful arm64
  checkbox-cli 1.2.4-0ubuntu3 in artful armhf
  checkbox-cli 1.2.4-0ubuntu3 in artful i386
  checkbox-cli 1.2.4-0ubuntu3 in artful ppc64el
  checkbox-cli 1.2.4-0ubuntu3 in artful s390x
  checkbox-converged 1.2.4-0ubuntu3 in artful amd64
  checkbox-converged 1.2.4-0ubuntu3 in artful arm64
  checkbox-converged 1.2.4-0ubuntu3 in artful armhf
  checkbox-converged 1.2.4-0ubuntu3 in artful i386
  checkbox-converged 1.2.4-0ubuntu3 in artful ppc64el
  checkbox-converged 1.2.4-0ubuntu3 in artful s390x
  checkbox-gui 1.2.4-0ubuntu3 in artful amd64
  checkbox-gui 1.2.4-0ubuntu3 in artful arm64
  checkbox-gui 1.2.4-0ubuntu3 in artful armhf
  checkbox-gui 1.2.4-0ubuntu3 in artful i386
  checkbox-gui 1.2.4-0ubuntu3 in artful ppc64el
  checkbox-gui 1.2.4-0ubuntu3 in artful s390x
  checkbox-qt 1.2.4-0ubuntu3 in artful amd64
  checkbox-qt 1.2.4-0ubuntu3 in artful arm64
  checkbox-qt 1.2.4-0ubuntu3 in artful armhf
  checkbox-qt 1.2.4-0ubuntu3 in artful i386
  checkbox-qt 1.2.4-0ubuntu3 in artful ppc64el
  checkbox-qt 1.2.4-0ubuntu3 in artful s390x
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in checkbox (Ubuntu):
status: In Progress → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 notes-app 1.4+14.10.20140711-0ubuntu1 in artful
  notes-app 1.4+14.10.20140711-0ubuntu1 in artful amd64
  notes-app 1.4+14.10.20140711-0ubuntu1 in artful arm64
  notes-app 1.4+14.10.20140711-0ubuntu1 in artful armhf
  notes-app 1.4+14.10.20140711-0ubuntu1 in artful i386
  notes-app 1.4+14.10.20140711-0ubuntu1 in artful ppc64el
  notes-app 1.4+14.10.20140711-0ubuntu1 in artful s390x
  notes-app-autopilot 1.4+14.10.20140711-0ubuntu1 in artful amd64
  notes-app-autopilot 1.4+14.10.20140711-0ubuntu1 in artful arm64
  notes-app-autopilot 1.4+14.10.20140711-0ubuntu1 in artful armhf
  notes-app-autopilot 1.4+14.10.20140711-0ubuntu1 in artful i386
  notes-app-autopilot 1.4+14.10.20140711-0ubuntu1 in artful ppc64el
  notes-app-autopilot 1.4+14.10.20140711-0ubuntu1 in artful s390x
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in notes-app (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-push-qml 0.1+15.10.20150826.1-0ubuntu2 in artful
  qtdeclarative5-ubuntu-push-plugin 0.1+15.10.20150826.1-0ubuntu2 in artful amd64
  qtdeclarative5-ubuntu-push-plugin 0.1+15.10.20150826.1-0ubuntu2 in artful arm64
  qtdeclarative5-ubuntu-push-plugin 0.1+15.10.20150826.1-0ubuntu2 in artful armhf
  qtdeclarative5-ubuntu-push-plugin 0.1+15.10.20150826.1-0ubuntu2 in artful i386
  qtdeclarative5-ubuntu-push-plugin 0.1+15.10.20150826.1-0ubuntu2 in artful ppc64el
  qtdeclarative5-ubuntu-push-plugin 0.1+15.10.20150826.1-0ubuntu2 in artful s390x
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in ubuntu-push-qml (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package url-dispatcher - 0.1+17.04.20170328-0ubuntu3

---------------
url-dispatcher (0.1+17.04.20170328-0ubuntu3) artful; urgency=medium

  * Drop ubuntu-ui-toolkit for now, patch from mitya57 LP: #1711204

 -- Dimitri John Ledkov <email address hidden> Thu, 24 Aug 2017 20:01:44 +0100

Changed in url-dispatcher (Ubuntu):
status: Invalid → Fix Released
Dimitri John Ledkov (xnox) wrote :

Uploaded ubuntu-app-launch which does not depend on libertine

Steve Langasek (vorlon) wrote :

Removing packages from artful:
 unity-webapps-qml 0.1+16.10.20160713-0ubuntu1 in artful
  qtdeclarative5-ubuntu-webapps-api 0.1+16.10.20160713-0ubuntu1 in artful amd64
  qtdeclarative5-ubuntu-webapps-api 0.1+16.10.20160713-0ubuntu1 in artful arm64
  qtdeclarative5-ubuntu-webapps-api 0.1+16.10.20160713-0ubuntu1 in artful armhf
  qtdeclarative5-ubuntu-webapps-api 0.1+16.10.20160713-0ubuntu1 in artful i386
  unity-webapps-qml 0.1+16.10.20160713-0ubuntu1 in artful amd64
  unity-webapps-qml 0.1+16.10.20160713-0ubuntu1 in artful arm64
  unity-webapps-qml 0.1+16.10.20160713-0ubuntu1 in artful armhf
  unity-webapps-qml 0.1+16.10.20160713-0ubuntu1 in artful i386
  unity-webapps-qml-autopilot 0.1+16.10.20160713-0ubuntu1 in artful amd64
  unity-webapps-qml-autopilot 0.1+16.10.20160713-0ubuntu1 in artful arm64
  unity-webapps-qml-autopilot 0.1+16.10.20160713-0ubuntu1 in artful armhf
  unity-webapps-qml-autopilot 0.1+16.10.20160713-0ubuntu1 in artful i386
  unity-webapps-qml-autopilot 0.1+16.10.20160713-0ubuntu1 in artful ppc64el
  unity-webapps-qml-autopilot 0.1+16.10.20160713-0ubuntu1 in artful s390x
  unity-webapps-qml-doc 0.1+16.10.20160713-0ubuntu1 in artful amd64
  unity-webapps-qml-doc 0.1+16.10.20160713-0ubuntu1 in artful arm64
  unity-webapps-qml-doc 0.1+16.10.20160713-0ubuntu1 in artful armhf
  unity-webapps-qml-doc 0.1+16.10.20160713-0ubuntu1 in artful i386
  unity-webapps-qml-doc 0.1+16.10.20160713-0ubuntu1 in artful ppc64el
  unity-webapps-qml-doc 0.1+16.10.20160713-0ubuntu1 in artful s390x
  unity-webapps-qml-examples 0.1+16.10.20160713-0ubuntu1 in artful amd64
  unity-webapps-qml-examples 0.1+16.10.20160713-0ubuntu1 in artful arm64
  unity-webapps-qml-examples 0.1+16.10.20160713-0ubuntu1 in artful armhf
  unity-webapps-qml-examples 0.1+16.10.20160713-0ubuntu1 in artful i386
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in unity-webapps-qml (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-ui-toolkit-gles 1.3.2190+17.04.20170327 in artful
  libubuntugestures5-gles 1.3.2190+17.04.20170327 in artful amd64
  libubuntugestures5-gles 1.3.2190+17.04.20170327 in artful i386
  libubuntugestures5-gles-dev 1.3.2190+17.04.20170327 in artful amd64
  libubuntugestures5-gles-dev 1.3.2190+17.04.20170327 in artful i386
  libubuntumetrics5-gles 1.3.2190+17.04.20170327 in artful amd64
  libubuntumetrics5-gles 1.3.2190+17.04.20170327 in artful i386
  libubuntumetrics5-gles-dev 1.3.2190+17.04.20170327 in artful amd64
  libubuntumetrics5-gles-dev 1.3.2190+17.04.20170327 in artful i386
  libubuntutoolkit5-gles 1.3.2190+17.04.20170327 in artful amd64
  libubuntutoolkit5-gles 1.3.2190+17.04.20170327 in artful i386
  libubuntutoolkit5-gles-dev 1.3.2190+17.04.20170327 in artful amd64
  libubuntutoolkit5-gles-dev 1.3.2190+17.04.20170327 in artful i386
  qml-module-ubuntu-components-gles 1.3.2190+17.04.20170327 in artful amd64
  qml-module-ubuntu-components-gles 1.3.2190+17.04.20170327 in artful i386
  qml-module-ubuntu-components-labs-gles 1.3.2190+17.04.20170327 in artful amd64
  qml-module-ubuntu-components-labs-gles 1.3.2190+17.04.20170327 in artful i386
  qml-module-ubuntu-performancemetrics-gles 1.3.2190+17.04.20170327 in artful amd64
  qml-module-ubuntu-performancemetrics-gles 1.3.2190+17.04.20170327 in artful i386
  qtdeclarative5-ubuntu-ui-toolkit-plugin-gles 1.3.2190+17.04.20170327 in artful amd64
  qtdeclarative5-ubuntu-ui-toolkit-plugin-gles 1.3.2190+17.04.20170327 in artful i386
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in ubuntu-ui-toolkit-gles (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful
  libsystemsettings-dev 0.4+17.04.20170324-0ubuntu1 in artful amd64
  libsystemsettings-dev 0.4+17.04.20170324-0ubuntu1 in artful arm64
  libsystemsettings-dev 0.4+17.04.20170324-0ubuntu1 in artful armhf
  libsystemsettings-dev 0.4+17.04.20170324-0ubuntu1 in artful i386
  libsystemsettings-dev 0.4+17.04.20170324-0ubuntu1 in artful ppc64el
  libsystemsettings-dev 0.4+17.04.20170324-0ubuntu1 in artful s390x
  libsystemsettings1 0.4+17.04.20170324-0ubuntu1 in artful amd64
  libsystemsettings1 0.4+17.04.20170324-0ubuntu1 in artful arm64
  libsystemsettings1 0.4+17.04.20170324-0ubuntu1 in artful armhf
  libsystemsettings1 0.4+17.04.20170324-0ubuntu1 in artful i386
  libsystemsettings1 0.4+17.04.20170324-0ubuntu1 in artful ppc64el
  libsystemsettings1 0.4+17.04.20170324-0ubuntu1 in artful s390x
  ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful amd64
  ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful arm64
  ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful armhf
  ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful i386
  ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful ppc64el
  ubuntu-system-settings 0.4+17.04.20170324-0ubuntu1 in artful s390x
  ubuntu-system-settings-autopilot 0.4+17.04.20170324-0ubuntu1 in artful amd64
  ubuntu-system-settings-autopilot 0.4+17.04.20170324-0ubuntu1 in artful arm64
  ubuntu-system-settings-autopilot 0.4+17.04.20170324-0ubuntu1 in artful armhf
  ubuntu-system-settings-autopilot 0.4+17.04.20170324-0ubuntu1 in artful i386
  ubuntu-system-settings-autopilot 0.4+17.04.20170324-0ubuntu1 in artful ppc64el
  ubuntu-system-settings-autopilot 0.4+17.04.20170324-0ubuntu1 in artful s390x
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in ubuntu-system-settings (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-ui-extras 0.3+17.04.20170323-0ubuntu1 in artful
  qtdeclarative5-ubuntu-ui-extras0.2 0.3+17.04.20170323-0ubuntu1 in artful amd64
  qtdeclarative5-ubuntu-ui-extras0.2 0.3+17.04.20170323-0ubuntu1 in artful arm64
  qtdeclarative5-ubuntu-ui-extras0.2 0.3+17.04.20170323-0ubuntu1 in artful armhf
  qtdeclarative5-ubuntu-ui-extras0.2 0.3+17.04.20170323-0ubuntu1 in artful i386
  qtdeclarative5-ubuntu-ui-extras0.2 0.3+17.04.20170323-0ubuntu1 in artful ppc64el
  qtdeclarative5-ubuntu-ui-extras0.2 0.3+17.04.20170323-0ubuntu1 in artful s390x
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in ubuntu-ui-extras (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful
  qml-module-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful amd64
  qml-module-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful arm64
  qml-module-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful armhf
  qml-module-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful i386
  qml-module-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful ppc64el
  qml-module-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful s390x
  qtdeclarative5-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful amd64
  qtdeclarative5-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful arm64
  qtdeclarative5-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful armhf
  qtdeclarative5-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful i386
  qtdeclarative5-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful ppc64el
  qtdeclarative5-ubuntu-settings-components 0.12+17.04.20170118-0ubuntu1 in artful s390x
Comment: obsoleted product, incompatible with Qt5.9; LP: #1711204
1 package successfully removed.

Changed in ubuntu-settings-components (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :
Download full text (18.4 KiB)

Removing packages from artful:
 ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful
  qtdeclarative5-ubuntu-keyboard-extensions0.1 0.100+17.04.20170320-0ubuntu3 in artful amd64
  qtdeclarative5-ubuntu-keyboard-extensions0.1 0.100+17.04.20170320-0ubuntu3 in artful arm64
  qtdeclarative5-ubuntu-keyboard-extensions0.1 0.100+17.04.20170320-0ubuntu3 in artful armhf
  qtdeclarative5-ubuntu-keyboard-extensions0.1 0.100+17.04.20170320-0ubuntu3 in artful i386
  qtdeclarative5-ubuntu-keyboard-extensions0.1 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  qtdeclarative5-ubuntu-keyboard-extensions0.1 0.100+17.04.20170320-0ubuntu3 in artful s390x
  ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful amd64
  ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful arm64
  ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful armhf
  ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful i386
  ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  ubuntu-keyboard 0.100+17.04.20170320-0ubuntu3 in artful s390x
  ubuntu-keyboard-arabic 0.100+17.04.20170320-0ubuntu3 in artful amd64
  ubuntu-keyboard-arabic 0.100+17.04.20170320-0ubuntu3 in artful arm64
  ubuntu-keyboard-arabic 0.100+17.04.20170320-0ubuntu3 in artful armhf
  ubuntu-keyboard-arabic 0.100+17.04.20170320-0ubuntu3 in artful i386
  ubuntu-keyboard-arabic 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  ubuntu-keyboard-arabic 0.100+17.04.20170320-0ubuntu3 in artful s390x
  ubuntu-keyboard-autopilot 0.100+17.04.20170320-0ubuntu3 in artful amd64
  ubuntu-keyboard-autopilot 0.100+17.04.20170320-0ubuntu3 in artful arm64
  ubuntu-keyboard-autopilot 0.100+17.04.20170320-0ubuntu3 in artful armhf
  ubuntu-keyboard-autopilot 0.100+17.04.20170320-0ubuntu3 in artful i386
  ubuntu-keyboard-autopilot 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  ubuntu-keyboard-autopilot 0.100+17.04.20170320-0ubuntu3 in artful s390x
  ubuntu-keyboard-azerbaijani 0.100+17.04.20170320-0ubuntu3 in artful amd64
  ubuntu-keyboard-azerbaijani 0.100+17.04.20170320-0ubuntu3 in artful arm64
  ubuntu-keyboard-azerbaijani 0.100+17.04.20170320-0ubuntu3 in artful armhf
  ubuntu-keyboard-azerbaijani 0.100+17.04.20170320-0ubuntu3 in artful i386
  ubuntu-keyboard-azerbaijani 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  ubuntu-keyboard-azerbaijani 0.100+17.04.20170320-0ubuntu3 in artful s390x
  ubuntu-keyboard-bosnian 0.100+17.04.20170320-0ubuntu3 in artful amd64
  ubuntu-keyboard-bosnian 0.100+17.04.20170320-0ubuntu3 in artful arm64
  ubuntu-keyboard-bosnian 0.100+17.04.20170320-0ubuntu3 in artful armhf
  ubuntu-keyboard-bosnian 0.100+17.04.20170320-0ubuntu3 in artful i386
  ubuntu-keyboard-bosnian 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  ubuntu-keyboard-bosnian 0.100+17.04.20170320-0ubuntu3 in artful s390x
  ubuntu-keyboard-catalan 0.100+17.04.20170320-0ubuntu3 in artful amd64
  ubuntu-keyboard-catalan 0.100+17.04.20170320-0ubuntu3 in artful arm64
  ubuntu-keyboard-catalan 0.100+17.04.20170320-0ubuntu3 in artful armhf
  ubuntu-keyboard-catalan 0.100+17.04.20170320-0ubuntu3 in artful i386
  ubuntu-keyboard-catalan 0.100+17.04.20170320-0ubuntu3 in artful ppc64el
  ...

Changed in ubuntu-keyboard (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :
Download full text (5.4 KiB)

Removing packages from artful:
 libertine 1.7.1+17.04.20170331-0ubuntu2 in artful
  libertine 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  libertine 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  libertine 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  libertine 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  libertine 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  libertine 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  libertine-manager-app 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  libertine-manager-app 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  libertine-manager-app 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  libertine-manager-app 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  libertine-manager-app 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  libertine-manager-app 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  libertine-qt-common 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  libertine-qt-common 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  libertine-qt-common 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  libertine-qt-common 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  libertine-qt-common 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  libertine-qt-common 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  libertine-tools 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  libertine-tools 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  libertine-tools 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  libertine-tools 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  libertine-tools 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  libertine-tools 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  libertine-xmir-tools 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  libertine-xmir-tools 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  libertine-xmir-tools 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  libertine-xmir-tools 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  libertine-xmir-tools 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  libertine-xmir-tools 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  libertined 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  libertined 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  libertined 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  libertined 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  libertined 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  libertined 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  liblibertine-dev 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  liblibertine-dev 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  liblibertine-dev 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  liblibertine-dev 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  liblibertine-dev 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  liblibertine-dev 1.7.1+17.04.20170331-0ubuntu2 in artful s390x
  liblibertine1 1.7.1+17.04.20170331-0ubuntu2 in artful amd64
  liblibertine1 1.7.1+17.04.20170331-0ubuntu2 in artful arm64
  liblibertine1 1.7.1+17.04.20170331-0ubuntu2 in artful armhf
  liblibertine1 1.7.1+17.04.20170331-0ubuntu2 in artful i386
  liblibertine1 1.7.1+17.04.20170331-0ubuntu2 in artful ppc64el
  liblibertine1 1.7.1+17.04.20170...

Read more...

Changed in libertine (Ubuntu):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :
Download full text (10.1 KiB)

Removing packages from artful:
 ubuntu-ui-toolkit 1.3.2190+17.04.20170327ubuntu1 in artful
  libubuntugestures5 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntugestures5 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntugestures5 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntugestures5 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntugestures5 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntugestures5 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntugestures5-dev 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntugestures5-dev 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntugestures5-dev 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntugestures5-dev 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntugestures5-dev 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntugestures5-dev 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntugestures5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntugestures5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntugestures5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntugestures5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntugestures5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntugestures5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntumetrics5 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntumetrics5 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntumetrics5 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntumetrics5 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntumetrics5 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntumetrics5 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntumetrics5-dev 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntumetrics5-dev 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntumetrics5-dev 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntumetrics5-dev 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntumetrics5-dev 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntumetrics5-dev 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntumetrics5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntumetrics5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntumetrics5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntumetrics5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntumetrics5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntumetrics5-private-dev 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntutoolkit5 1.3.2190+17.04.20170327ubuntu1 in artful amd64
  libubuntutoolkit5 1.3.2190+17.04.20170327ubuntu1 in artful arm64
  libubuntutoolkit5 1.3.2190+17.04.20170327ubuntu1 in artful armhf
  libubuntutoolkit5 1.3.2190+17.04.20170327ubuntu1 in artful i386
  libubuntutoolkit5 1.3.2190+17.04.20170327ubuntu1 in artful ppc64el
  libubuntutoolkit5 1.3.2190+17.04.20170327ubuntu1 in artful s390x
  libubuntutoolkit5-dev 1.3.2190+1...

Changed in ubuntu-ui-toolkit (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers